## org.apache.commons.collections.bidimap
Class AbstractDualBidiMap.Values

    java.lang.Object
      org.apache.commons.collections.collection.AbstractCollectionDecorator
          org.apache.commons.collections.bidimap.AbstractDualBidiMap.View
              org.apache.commons.collections.bidimap.AbstractDualBidiMap.Values

All Implemented Interfaces:
  java.lang.Iterable, java.util.Collection, java.util.Set

Enclosing class:
  AbstractDualBidiMap

    protected static class AbstractDualBidiMap.Values

extends AbstractDualBidiMap.View
implements java.util.Set

Inner class Values.

Field Summary

Fields inherited from class org.apache.commons.collections.bidimap.AbstractDualBidiMap.View
`parent`

Fields inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`collection`

Constructor Summary
`protected` `AbstractDualBidiMap.Values(AbstractDualBidiMap parent)` Constructs a new view of the BidiMap.

Method Summary
`boolean` `contains(java.lang.Object value)`
`java.util.Iterator` `iterator()`
`boolean` `remove(java.lang.Object value)`

Methods inherited from class org.apache.commons.collections.bidimap.AbstractDualBidiMap.View
`clear, removeAll, retainAll`

Methods inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`add, addAll, containsAll, equals, getCollection, hashCode, isEmpty, size, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`add, addAll, clear, containsAll, equals, hashCode, isEmpty, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### AbstractDualBidiMap.Values

    protected AbstractDualBidiMap.Values(AbstractDualBidiMap parent)

  Constructs a new view of the BidiMap.

  Parameters:
    `parent` - the parent BidiMap

Method Detail

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable`
  Specified by:
    `iterator` in interface `java.util.Collection`
  Specified by:
    `iterator` in interface `java.util.Set`
  Overrides:
    `iterator` in class `AbstractCollectionDecorator`

### contains

    public boolean contains(java.lang.Object value)

  Specified by:
    `contains` in interface `java.util.Collection`
  Specified by:
    `contains` in interface `java.util.Set`
  Overrides:
    `contains` in class `AbstractCollectionDecorator`

### remove

    public boolean remove(java.lang.Object value)

  Specified by:
    `remove` in interface `java.util.Collection`
  Specified by:
    `remove` in interface `java.util.Set`
  Overrides:
    `remove` in class `AbstractCollectionDecorator`

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.